Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.customer
Interface CustomerDelegate

All Superinterfaces:
  com.beasys.commerce.axiom.contact.Contact, RemoteRelationalReference

All Known Subinterfaces:
  Customer

public interface CustomerDelegate
extends com.beasys.commerce.axiom.contact.Contact, RemoteRelationalReference

Stores the information required to do business with a customer. It inherits most attributes from the Person object and adds the ability to authenticate and to bill for product via a credit card.

Method Summary
`void` | `clearCreditCardsMap()` Removes all mappings from this map (optional operation).
`void` | `clearShippingAddressMap()` Removes all mappings from this map (optional operation).
`boolean` | `creditCardsMapContainsKey(Object key)` Returns true if this map contains a mapping for the specified key.
`boolean` | `creditCardsMapContainsValue(com.beasys.commerce.axiom.contact.CreditCard element)` Returns true if this map maps one or more keys to the specified value.
`Set` | `creditCardsMapEntrySet()` Returns a set view of the mappings contained in this map.
`int` | `creditCardsMapHashCode()` Returns the hash code value for this map.
`Set` | `creditCardsMapKeySet()` Returns a set view of the keys contained in this map.
`int` | `creditCardsMapSize()` Returns the number of key-value mappings in this map.
`Collection` | `creditCardsMapValues()` Returns a collection view of the values contained in this map.
`boolean` | `equalsCreditCardsMap(Object object)` Compares the specified object with this map for equality.
`boolean` | `equalsShippingAddressMap(Object object)` Compares the specified object with this map for equality.
`com.beasys.commerce.axiom.contact.CreditCard` | `getCreditCards(Object key)` Returns the value to which this map maps the specified key.
`Map` | `getCreditCardsMap()` Returns the entire map
`CustomerValue` | `getCustomerByValue()` Get all of Customer's attributes.
`String` | `getCustomerType()` Get the value of customerType
`String` | `getDefaultShippingAddressCity()`
`String` | `getDefaultShippingAddressCountry()`
`String` | `getDefaultShippingAddressCounty()`
`String` | `getDefaultShippingAddressDescription()`
`String` | `getDefaultShippingAddressGeoCode()`
`String` | `getDefaultShippingAddressPoBox()`
`String` | `getDefaultShippingAddressPostalCode()`
`String` | `getDefaultShippingAddressPostalCodeType()`
`String` | `getDefaultShippingAddressState()`
`String` | `getDefaultShippingAddressStreet1()`
`String` | `getDefaultShippingAddressStreet2()`
`String` | `getIdentifier()` Returns the identifier (primary key field) for this user.
`com.beasys.commerce.axiom.contact.Address` | `getShippingAddress(Object key)` Returns the value to which this map maps the specified key.
`Map` | `getShippingAddressMap()` Returns the entire map
`boolean` | `isCreditCardsMapEmpty()` Returns true if this map contains no key-value mappings.
`boolean` | `isShippingAddressMapEmpty()` Returns true if this map contains no key-value mappings.
`com.beasys.commerce.axiom.contact.CreditCard` | `putCreditCards(Object key, com.beasys.commerce.axiom.contact.CreditCard element)` Associates the specified value with the specified key in this map (optional operation).
`void` | `putCreditCardsMap(Map map)` Copies all of the mappings from the specified map to this map (optional operation).
`com.beasys.commerce.axiom.contact.Address` | `putShippingAddress(Object key, com.beasys.commerce.axiom.contact.Address element)` Associates the specified value with the specified key in this map (optional operation).
`void` | `putShippingAddressMap(Map map)` Copies all of the mappings from the specified map to this map (optional operation).
`com.beasys.commerce.axiom.contact.CreditCard` | `removeCreditCards(Object key)` Removes the mapping for this key from this map if present (optional operation).
`com.beasys.commerce.axiom.contact.Address` | `removeShippingAddress(Object key)` Removes the mapping for this key from this map if present (optional operation).
`void` | `setCreditCardsMap(Map map)` Sets the entire map
`void` | `setCustomerByValue(CustomerValue value)` Set all of Customer's attributes to the passed in value.
`void` | `setCustomerType(String customerType)` Set the value of customerType
`void` | `setDefaultShippingAddressCity(String city)`
`void` | `setDefaultShippingAddressCountry(String country)`
`void` | `setDefaultShippingAddressCounty(String county)`
`void` | `setDefaultShippingAddressGeoCode(String geoCode)`
`void` | `setDefaultShippingAddressPoBox(String poBox)`
`void` | `setDefaultShippingAddressPostalCode(String postalCode)`
`void` | `setDefaultShippingAddressPostalCodeType(String postalCodeType)`
`void` | `setDefaultShippingAddressState(String state)`
`void` | `setDefaultShippingAddressStreet1(String street1)`
`void` | `setDefaultShippingAddressStreet2(String street2)`
`void` | `setDefaultShippingDescription(String description)`
`void` | `setShippingAddressMap(Map map)` Sets the entire map
`boolean` | `shippingAddressMapContainsKey(Object key)` Returns true if this map contains a mapping for the specified key.
`boolean` | `shippingAddressMapContainsValue(com.beasys.commerce.axiom.contact.Address element)` Returns true if this map maps one or more keys to the specified value.
`Set` | `shippingAddressMapEntrySet()` Returns a set view of the mappings contained in this map.
`int` | `shippingAddressMapHashCode()` Returns the hash code value for this map.
`Set` | `shippingAddressMapKeySet()` Returns a set view of the keys contained in this map.
`int` | `shippingAddressMapSize()` Returns the number of key-value mappings in this map.
`Collection` | `shippingAddressMapValues()` Returns a collection view of the values contained in this map.

Methods inherited from interface com.beasys.commerce.axiom.contact.Contact
`getBusinessPhone, getContactAddress, getContactAddressCity, getContactAddressCountry, getContactAddressCounty, getContactAddressGeoCode, getContactAddressPoBox, getContactAddressPostalCode, getContactAddressPostalCodeType, getContactAddressState, getContactAddressStreet1, getContactAddressStreet2, getContactByValue, getEmail, getFax, getFirstName, getHomePhone, getLastName, getMiddleName, getSuffix, getTitle, setBusinessPhone, setContactAddress, setContactAddressCity, setContactAddressCountry, setContactAddressCounty, setContactAddressGeoCode, setContactAddressPoBox, setContactAddressPostalCode, setContactAddressPostalCodeType, setContactAddressState, setContactAddressStreet1, setContactAddressStreet2, setContactByValue, setEmail, setFax, setFirstName, setHomePhone, setLastName, setMiddleName, setSuffix, setTitle`

Methods inherited from interface com.beasys.commerce.foundation.RemoteRelationalReference
`get__classIdentifier, get__containingBelonging, get__containingEntity, get__mapKey, get__sequenceNumber, set__containingBelonging, set__containingEntity, set__mapKey`

Method Detail

### getIdentifier

    public String getIdentifier()
                         throws RemoteException

  Returns the identifier (primary key field) for this user.

  Returns:
    the identifier (primary key field) for this user
  Throws:
    `RemoteException`

### getCustomerByValue

    public CustomerValue getCustomerByValue()
                                     throws RemoteException

  Get all of Customer's attributes.

  Returns:
    CustomerValue the Customer value object
  Throws:
    `RemoteException`

### setCustomerByValue

    public void setCustomerByValue(CustomerValue value)
                            throws RemoteException

  Set all of Customer's attributes to the passed in value. Note: Primary key attributes are not set.

  Throws:
    `RemoteException`

### getCreditCardsMap

    public Map getCreditCardsMap()
                          throws RemoteException

  Returns the entire map

  Throws:
    `RemoteException`

### setCreditCardsMap

    public void setCreditCardsMap(Map map)
                           throws RemoteException

  Sets the entire map

  Throws:
    `RemoteException`

### clearCreditCardsMap

    public void clearCreditCardsMap()
                             throws RemoteException

  Removes all mappings from this map (optional operation).

  Throws:
    `RemoteException`

### creditCardsMapContainsKey

    public boolean creditCardsMapContainsKey(Object key)
                                      throws RemoteException

  Returns true if this map contains a mapping for the specified key.

  Throws:
    `RemoteException`

### creditCardsMapContainsValue

    public boolean creditCardsMapContainsValue(com.beasys.commerce.axiom.contact.CreditCard element)
                                        throws RemoteException

  Returns true if this map maps one or more keys to the specified value.

  Throws:
    `RemoteException`

### creditCardsMapEntrySet

    public Set creditCardsMapEntrySet()
                               throws RemoteException

  Returns a set view of the mappings contained in this map.

  Throws:
    `RemoteException`

### equalsCreditCardsMap

    public boolean equalsCreditCardsMap(Object object)
                                 throws RemoteException

  Compares the specified object with this map for equality.

  Throws:
    `RemoteException`

### getCreditCards

    public com.beasys.commerce.axiom.contact.CreditCard getCreditCards(Object key)
                                                                throws RemoteException

  Returns the value to which this map maps the specified key.

  Throws:
    `RemoteException`

### creditCardsMapHashCode

    public int creditCardsMapHashCode()
                               throws RemoteException

  Returns the hash code value for this map.

  Throws:
    `RemoteException`

### isCreditCardsMapEmpty

    public boolean isCreditCardsMapEmpty()
                                  throws RemoteException

  Returns true if this map contains no key-value mappings.

  Throws:
    `RemoteException`

### creditCardsMapKeySet

    public Set creditCardsMapKeySet()
                             throws RemoteException

  Returns a set view of the keys contained in this map.

  Throws:
    `RemoteException`

### putCreditCards

    public com.beasys.commerce.axiom.contact.CreditCard putCreditCards(Object key,
                                                                       com.beasys.commerce.axiom.contact.CreditCard element)
                                                                throws RemoteException

  Associates the specified value with the specified key in this map (optional operation).

  Throws:
    `RemoteException`

### putCreditCardsMap

    public void putCreditCardsMap(Map map)
                           throws RemoteException

  Copies all of the mappings from the specified map to this map (optional operation).

  Throws:
    `RemoteException`

### removeCreditCards

    public com.beasys.commerce.axiom.contact.CreditCard removeCreditCards(Object key)
                                                                   throws RemoteException

  Removes the mapping for this key from this map if present (optional operation).

  Throws:
    `RemoteException`

### creditCardsMapSize

    public int creditCardsMapSize()
                           throws RemoteException

  Returns the number of key-value mappings in this map.

  Throws:
    `RemoteException`

### creditCardsMapValues

    public Collection creditCardsMapValues()
                                    throws RemoteException

  Returns a collection view of the values contained in this map.

  Throws:
    `RemoteException`

### getCustomerType

    public String getCustomerType()
                           throws RemoteException

  Get the value of customerType

  Returns:
    customerType.
  Throws:
    `RemoteException`

### setCustomerType

    public void setCustomerType(String customerType)
                         throws RemoteException

  Set the value of customerType

  Parameters:
    `customerType` - customerType to be added
  Throws:
    `RemoteException`

### getShippingAddressMap

    public Map getShippingAddressMap()
                              throws RemoteException

  Returns the entire map

  Throws:
    `RemoteException`

### setShippingAddressMap

    public void setShippingAddressMap(Map map)
                               throws RemoteException

  Sets the entire map

  Throws:
    `RemoteException`

### clearShippingAddressMap

    public void clearShippingAddressMap()
                                 throws RemoteException

  Removes all mappings from this map (optional operation).

  Throws:
    `RemoteException`

### shippingAddressMapContainsKey

    public boolean shippingAddressMapContainsKey(Object key)
                                          throws RemoteException

  Returns true if this map contains a mapping for the specified key.

  Throws:
    `RemoteException`

### shippingAddressMapContainsValue

    public boolean shippingAddressMapContainsValue(com.beasys.commerce.axiom.contact.Address element)
                                            throws RemoteException

  Returns true if this map maps one or more keys to the specified value.

  Throws:
    `RemoteException`

### shippingAddressMapEntrySet

    public Set shippingAddressMapEntrySet()
                                   throws RemoteException

  Returns a set view of the mappings contained in this map.

  Throws:
    `RemoteException`

### equalsShippingAddressMap

    public boolean equalsShippingAddressMap(Object object)
                                     throws RemoteException

  Compares the specified object with this map for equality.

  Throws:
    `RemoteException`

### getShippingAddress

    public com.beasys.commerce.axiom.contact.Address getShippingAddress(Object key)
                                                                 throws RemoteException

  Returns the value to which this map maps the specified key.

  Throws:
    `RemoteException`

### shippingAddressMapHashCode

    public int shippingAddressMapHashCode()
                                   throws RemoteException

  Returns the hash code value for this map.

  Throws:
    `RemoteException`

### isShippingAddressMapEmpty

    public boolean isShippingAddressMapEmpty()
                                      throws RemoteException

  Returns true if this map contains no key-value mappings.

  Throws:
    `RemoteException`

### shippingAddressMapKeySet

    public Set shippingAddressMapKeySet()
                                 throws RemoteException

  Returns a set view of the keys contained in this map.

  Throws:
    `RemoteException`

### putShippingAddress

    public com.beasys.commerce.axiom.contact.Address putShippingAddress(Object key,
                                                                        com.beasys.commerce.axiom.contact.Address element)
                                                                 throws RemoteException

  Associates the specified value with the specified key in this map (optional operation).

  Throws:
    `RemoteException`

### putShippingAddressMap

    public void putShippingAddressMap(Map map)
                               throws RemoteException

  Copies all of the mappings from the specified map to this map (optional operation).

  Throws:
    `RemoteException`

### removeShippingAddress

    public com.beasys.commerce.axiom.contact.Address removeShippingAddress(Object key)
                                                                    throws RemoteException

  Removes the mapping for this key from this map if present (optional operation).

  Throws:
    `RemoteException`

### shippingAddressMapSize

    public int shippingAddressMapSize()
                               throws RemoteException

  Returns the number of key-value mappings in this map.

  Throws:
    `RemoteException`

### shippingAddressMapValues

    public Collection shippingAddressMapValues()
                                        throws RemoteException

  Returns a collection view of the values contained in this map.

  Throws:
    `RemoteException`

### getDefaultShippingAddressStreet1

    public String getDefaultShippingAddressStreet1()
                                            throws RemoteException

  Throws:
    `RemoteException`

### setDefaultShippingAddressStreet1

    public void setDefaultShippingAddressStreet1(String street1)
                                          throws RemoteException

  Throws:
    `RemoteException`

### getDefaultShippingAddressStreet2

    public String getDefaultShippingAddressStreet2()
                                            throws RemoteException

  Throws:
    `RemoteException`

### setDefaultShippingAddressStreet2

    public void setDefaultShippingAddressStreet2(String street2)
                                          throws RemoteException

  Throws:
    `RemoteException`

### getDefaultShippingAddressDescription

    public String getDefaultShippingAddressDescription()
                                                throws RemoteException

  Throws:
    `RemoteException`

### setDefaultShippingDescription

    public void setDefaultShippingDescription(String description)
                                       throws RemoteException

  Throws:
    `RemoteException`

### getDefaultShippingAddressCity

    public String getDefaultShippingAddressCity()
                                         throws RemoteException

  Throws:
    `RemoteException`

### setDefaultShippingAddressCity

    public void setDefaultShippingAddressCity(String city)
                                       throws RemoteException

  Throws:
    `RemoteException`

### getDefaultShippingAddressPostalCodeType

    public String getDefaultShippingAddressPostalCodeType()
                                                   throws RemoteException

  Throws:
    `RemoteException`

### setDefaultShippingAddressPostalCodeType

    public void setDefaultShippingAddressPostalCodeType(String postalCodeType)
                                                 throws RemoteException

  Throws:
    `RemoteException`

### getDefaultShippingAddressCountry

    public String getDefaultShippingAddressCountry()
                                            throws RemoteException

  Throws:
    `RemoteException`

### setDefaultShippingAddressCountry

    public void setDefaultShippingAddressCountry(String country)
                                          throws RemoteException

  Throws:
    `RemoteException`

### getDefaultShippingAddressState

    public String getDefaultShippingAddressState()
                                          throws RemoteException

  Throws:
    `RemoteException`

### setDefaultShippingAddressState

    public void setDefaultShippingAddressState(String state)
                                        throws RemoteException

  Throws:
    `RemoteException`

### getDefaultShippingAddressGeoCode

    public String getDefaultShippingAddressGeoCode()
                                            throws RemoteException

  Throws:
    `RemoteException`

### setDefaultShippingAddressGeoCode

    public void setDefaultShippingAddressGeoCode(String geoCode)
                                          throws RemoteException

  Throws:
    `RemoteException`

### getDefaultShippingAddressPoBox

    public String getDefaultShippingAddressPoBox()
                                          throws RemoteException

  Throws:
    `RemoteException`

### setDefaultShippingAddressPoBox

    public void setDefaultShippingAddressPoBox(String poBox)
                                        throws RemoteException

  Throws:
    `RemoteException`

### getDefaultShippingAddressCounty

    public String getDefaultShippingAddressCounty()
                                           throws RemoteException

  Throws:
    `RemoteException`

### setDefaultShippingAddressCounty

    public void setDefaultShippingAddressCounty(String county)
                                         throws RemoteException

  Throws:
    `RemoteException`

### getDefaultShippingAddressPostalCode

    public String getDefaultShippingAddressPostalCode()
                                               throws RemoteException

  Throws:
    `RemoteException`

### setDefaultShippingAddressPostalCode

    public void setDefaultShippingAddressPostalCode(String postalCode)
                                             throws RemoteException

  Throws:
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved